org.eclipse.jdt.core.jdom

## Interface IDOMImport

All Superinterfaces:
  Cloneable, IDOMNode

Deprecated.
The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

    public interface IDOMImport
    extends IDOMNode

Represents an import declaration. The corresponding syntactic unit is ImportDeclaration (JLS2 7.5). An import has no children and its parent is a compilation unit.

Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.jdom.IDOMNode

`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`int` `getFlags()` Deprecated. Returns the modifier flags for this import.
`String` `getName()` Deprecated. The `IDOMImport` refinement of this `IDOMNode` method returns the name of this import.
`boolean` `isOnDemand()` Deprecated. Returns whether this import declaration ends with `".`
`void` `setFlags(int flags)` Deprecated. Sets the modifier flags for this import.
`void` `setName(String name)` Deprecated. The `IDOMImport` refinement of this `IDOMNode` method sets the name of this import.

### Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMNode

`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove`

### Method Detail

#### getName

    String getName()

Deprecated.
The `IDOMImport` refinement of this `IDOMNode` method returns the name of this import. The syntax for an import name corresponds to a fully qualified type name, or to an on-demand package name as defined by ImportDeclaration (JLS2 7.5).

Specified by:
  `getName` in interface `IDOMNode`
Returns:
  the name of this import

#### isOnDemand

    boolean isOnDemand()

Deprecated.
Returns whether this import declaration ends with `".*"`.

Returns:
  `true` if this in an on-demand import

#### getFlags

    int getFlags()

Deprecated.
Returns the modifier flags for this import. The flags can be examined using class `Flags`. Only the static flag is meaningful for import declarations.

Returns:
  the modifier flags for this import
Since:
  3.0
See Also:
  `Flags`

#### setFlags

    void setFlags(int flags)

Deprecated.
Sets the modifier flags for this import. The flags can be examined using class `Flags`. Only the static flag is meaningful for import declarations.

Parameters:
  `flags` - the modifier flags for this import
Since:
  3.0
See Also:
  `Flags`

#### setName

    void setName(String name)

Deprecated.
The `IDOMImport` refinement of this `IDOMNode` method sets the name of this import. The syntax for an import name corresponds to a fully qualified type name, or to an on-demand package name as defined by ImportDeclaration (JLS2 7.5).

Specified by:
  `setName` in interface `IDOMNode`
Parameters:
  `name` - the given name
Throws:
  `IllegalArgumentException` - if `null` is specified